# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Statistics/Basic.pm) perl(Statistics/Zed.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 1.00
%define module_name Statistics-RatioVariance
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.00
Release: alt1
Summary: Ratio and associated variance calculation. 
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/H/HV/HVALVERDE/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
For two vectors of means (X and Y) and its associated sets of variances (V[X] and V[Y]),
this function calculates the rate (R) as:

    R = sum(X)/sum(Y)
    
being sum(X) and sum(Y) the sum of all elements in the set, respectively. Also, it
estimates the associated variance for R using Taylor expansion and taking into
account the correlation between X and Y.

Furthermore, the function run a Z-Test to evaluate if R shifts from the unit
significatively.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/S*

%changelog
* Thu Dec 25 2014 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1
- initial import by package builder

